package com.loveCoding.j20250426_java_basic;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo04
 * @description
 * @create 2025/4/26
 */
public class Demo04 {
    public static void main(String[] args) {
        byte a=1;
        a=(byte)(a+6);
        System.out.println(a);
        //加后赋值
        byte a1=127;
        a1+=6;  //因为+=号是在运算时转换为二进制后直接运算完的。隐含了强制类型转换
        System.out.println(a1);

    }
}
